Pod::Spec.new do |s|

  s.name         = "OJAKit"
  s.version      = "0.0.4"
  s.summary      = "oja 全局可用的基础库"
  s.description  = <<-DESC
                   oja 全局可用的基础库，放git上，其他测试工程统一引用
                   DESC
  s.homepage     = "http://svn.ouj.com:3000/billthas"

  s.license      = "MIT"

  s.authors            = { "Phelthas" => "billthas@gmail.com" }

  s.platform     = :ios, "7.0"

  s.source       = { :git => "http://svn.ouj.com:3000/billthas/ojakit.git", :tag => s.version }

  # s.library   = "iconv"
  # s.libraries = "iconv", "xml2"

  s.requires_arc = true

  # s.xcconfig = { "HEADER_SEARCH_PATHS" => "$(SDKROOT)/usr/include/libxml2" }
  # s.dependency "JSONKit", "~> 1.4"

  s.default_subspec = 'Core'

  s.subspec 'Core' do |core|
    core.source_files = 'OJAKitDemo/OJAKit/Category/**/*.{h,m}', 'OJAKitDemo/OJAKit/Tool/**/*.{h,m}',  'OJAKitDemo/OJAKit/OJAKit.h'
    core.public_header_files = 'OJAKitDemo/OJAKit/Category/*.{h}', 'OJAKitDemo/OJAKit/Tool/*.{h}',  'OJAKitDemo/OJAKit/OJAKit.h'
    core.frameworks = "UIKit", "Foundation"
  end
  
  s.subspec 'SafeKit' do |safeKit|
    safeKit.source_files = 'OJAKitDemo/OJAKit/GMSafeKit/**/*.{h,m}'
    safeKit.public_header_files = 'OJAKitDemo/OJAKit/GMSafeKit/*.{h}' 
    safeKit.frameworks = "UIKit", "Foundation"
  end

  s.subspec 'Pay' do |pay|
    pay.source_files = 'OJAKitDemo/OJAKit/Pay/**/*.{h,m}'
    pay.public_header_files = 'OJAKitDemo/OJAKit/Pay/*.{h}'
    pay.resources = 'OJAKitDemo/OJAKit/Pay/*.{bundle}'
    pay.vendored_frameworks = "OJAKitDemo/OJAKit/Pay/*.{framework}"
    pay.frameworks = "UIKit", "Foundation", "CoreMotion", "CFNetwork", "CoreGraphics", "CoreText", "CoreTelephony", "SystemConfiguration", "QuartzCore"
    pay.libraries = "c++", "z"
  end

end
